INTERFACE
subroutine hlaconds(&
 & ksvar, khor, klev,&
 & kstart, kstop, kstep,&
 & pdtime, pconacc, pdtheta,&
 & ldstat, kcall,&
 & pu, pv, pt,&
 & pq, pcw, psvar,&
 & pqampli,&
 & ptotcov, pomf, pfrland,&
 & pdqdtin, pdcwdin, pdsvdin,&
 & pdtdtin, pf, phalf,&
 & psdin,&
 & ptendt, ptendq, ptendql,&
 & ptendsv,&
 & pcov2d, pcwpath, pdraindt,&
 & pdsnowdt, preta, prcpst,&
 & prcpcu, pstsnow, pcusnow,&
 & pahyb, pbhyb, pstcon,&
 & pstdcon, pstcov, pstdcov,&
 & pstccov, pstscov, pstcw,&
 & pstcpnt, psttpnt, pstscal ) 
use parkind1 ,only : jpim, jprb
integer(kind=jpim),intent(in) :: ksvar
integer(kind=jpim),intent(in) :: kcall
integer(kind=jpim),intent(in) :: khor
integer(kind=jpim),intent(in) :: klev
integer(kind=jpim),intent(in) :: kstart
integer(kind=jpim),intent(in) :: kstop
integer(kind=jpim),intent(in) :: kstep
real(kind=jprb), intent(in) :: pdtime
logical, intent(in) :: ldstat
real(kind=jprb), intent(inout) :: pconacc
real(kind=jprb), intent(inout) :: pdtheta
real(kind=jprb), intent(in) :: pu(khor,klev)
real(kind=jprb), intent(in) :: pv(khor,klev)
real(kind=jprb), intent(in) :: pt(khor,klev)
real(kind=jprb), intent(in) :: pq(khor,klev)
real(kind=jprb), intent(inout) :: pcw(khor,klev)
real(kind=jprb), intent(in) :: psvar(khor,klev,ksvar)
real(kind=jprb), intent(inout) :: pqampli(khor,klev)
real(kind=jprb), intent(inout) :: ptotcov(khor,klev)
real(kind=jprb), intent(in) :: pomf(khor,klev)
real(kind=jprb), intent(in) :: pfrland(khor)
real(kind=jprb), intent(inout) :: pdqdtin(khor,klev)
real(kind=jprb), intent(inout) :: pdcwdin(khor,klev)
real(kind=jprb), intent(inout) :: pdsvdin(khor,klev,ksvar)
real(kind=jprb), intent(inout) :: pdtdtin(khor,klev)
real(kind=jprb), intent(in) :: pf(khor,klev)
real(kind=jprb), intent(in) :: phalf(khor,0:klev)
real(kind=jprb), intent(in) :: psdin(khor)
real(kind=jprb), intent(inout) :: ptendt(khor,klev)
real(kind=jprb), intent(inout) :: ptendq(khor,klev)
real(kind=jprb), intent(inout) :: ptendql(khor,klev)
real(kind=jprb), intent(inout) :: ptendsv(khor,klev,ksvar)
real(kind=jprb), intent(inout) :: pcov2d (khor)
real(kind=jprb), intent(inout) :: pcwpath (khor)
real(kind=jprb), intent(inout) :: pdraindt(khor)
real(kind=jprb), intent(inout) :: pdsnowdt(khor)
real(kind=jprb), intent(inout) :: preta (khor,klev)
real(kind=jprb), intent(inout) :: prcpst (khor)
real(kind=jprb), intent(inout) :: prcpcu (khor)
real(kind=jprb), intent(inout) :: pstsnow (khor)
real(kind=jprb), intent(inout) :: pcusnow (khor)
real(kind=jprb), intent(inout) :: pahyb (klev+1)
real(kind=jprb), intent(inout) :: pbhyb (klev+1)
real(kind=jprb), intent(inout) :: pstcon (klev)
real(kind=jprb), intent(inout) :: pstdcon (klev)
real(kind=jprb), intent(inout) :: pstcov (klev)
real(kind=jprb), intent(inout) :: pstdcov (klev)
real(kind=jprb), intent(inout) :: pstccov (klev)
real(kind=jprb), intent(inout) :: pstscov (klev)
real(kind=jprb), intent(inout) :: pstcw (klev)
real(kind=jprb), intent(inout) :: pstcpnt (klev)
real(kind=jprb), intent(inout) :: psttpnt (klev)
real(kind=jprb), intent(inout) :: pstscal (klev)
end subroutine hlaconds
END INTERFACE
